### Function

# Gegl Lookup new

#### Declaration [src]

    GeglLookup*
    gegl_lookup_new (
      GeglLookupFunction function,
      gpointer data
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`function`

  Type: `GeglLookupFunction`

  The function to build a lookup for.

`data`

  Type: `gpointer`

  A user data pointer passed to lookup calls.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GeglLookup`

A `GeglLookup`.

The data is owned by the called function.